--- title: "Search for course tag groups" slug: "search-for-course-tag-groups" updated: 2024-10-25T18:04:27Z published: 2026-02-10T22:32:35Z canonical: "docs.skillable.com/search-for-course-tag-groups" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.skillable.com/llms.txt > Use this file to discover all available pages before exploring further. # Search for course tag groups Get/SearchCourseTagGroups Allows you to search for course tag groups. SecurityAPI Key: api_keyHeader parameter nameapi_key Query parameterspageIndexinteger (int32) A 0-based index of the paged results you wish to receive. In general, you should start with a value of zero and increment it as you need to retrieve additional results. If not supplied, a value of 0 is used (the first page of results). pageSizeinteger (int32) Indicates how many results you want per page. if not supplied, a default value of 100 is used. sortstring The value you want to sort by. If not supplied, a default value of "Name" will be assumed. You can append " DESC" after the sort value to sort descending. For example, "Name DESC" would sort by name time in descending order. Possible values: - Name namestring An optional parameter used to filter for course tag groups by name Responses200 OK Response Expand Allobject Statusinteger (int32) Indicates the status of the API request. 0 = Success 10 = Error 20 = Not found 30 = Invalid integration key Example10 Errorstring | null Error details. This will only have a value if an error was encountered. The status property will also be set to Error (10). TotalCountinteger (int32) The total number of results that match the search conditions, not all of which may be in the current result set. Example1 TotalPagesinteger (int32) The total number of result pages that match the search conditions. Example1 Results Array of object (CourseTagGroupSearchResult) See CourseTagGroupSearchResult object Idinteger (int32) The course tag group unique identifier Example5678 Namestring | null The course tag groups name ExampleA Course Name Tags Array of object (Tag) See Tag object Idinteger (int32) The tag's unique identifier. Example2 Namestring | null The tag's name. ExampleTag Example 1